AddDamageType("HpWand",   '<bitmap:base/client/ui/ci/skull> %1',    '%2 <bitmap:base/client/ui/ci/skull> %1',0.2,1);

datablock ProjectileData(HpEmptyProjectile)
{
	shapeFile = "base/data/shapes/empty.dts";
	directDamage = 0;
	directDamageType = $DamageType::HpWand;

	brickExplosionRadius = 0;
	brickExplosionImpact = true;
	brickExplosionForce = 0;
	brickExplosionMaxVolume = 1;
	brickExplosionMaxVolumeFloating = 2;

	impactImpulse = 0;
	verticalImpulse = 0;
	explosion = "";
	particleEmitter = "";
	sound = "";

	muzzleVelocity = 0;
	velInheritFactor = 1;

	armingDelay = 0;
	lifetime = 0;
	fadeDelay = 750;
	bounceElasticity = 0.5;
	bounceFriction = 0.20;
	isBallistic = false;
	gravityMod = 0;

	hasLight = false;
	lightRadius = 1;
	lightColor = "0 0 1 0";

	uiName = "";
};	

datablock shapeBaseImageData(HpWandImage)
{
	armReady                        = "1";
	className                       = "WeaponImage";
	colorShiftColor                 = "0.5 0.2 0.0 1.0";
	correctMuzzleVector             = "0";
	doColorShift                    = "1";
	eyeOffset                       = "0 0 0";
	eyeRotation			= "0 0 0 0";
	item                            = "HpWandItem";
	melee                           = "1";
	projectile                      = HpEmptyProjectile;
	projectileType                  = "Projectile";
	shapeFile                       = "./wand1.dts";
	mountpoint 			=  "0";
	offset				= "0 0 .1"; //0 .45 .1
//	rotation			= "0 0 -75 1";

	////////////////
	//Script stuff//
	////////////////
	stateName[0]                   = "Activate";
	stateTimeoutValue[0]           = 0.15;
	stateTransitionOnTimeout[0]    = "Ready";
	stateSound[0]                  = weaponSwitchSound;

	stateName[1]                   = "Ready";
	stateTransitionOnTriggerDown[1]= "Fire";
	stateAllowImageChange[1]       = true;
	stateEmitter[1]                = "";
	stateEmitterTime[1]            = 300;

	stateName[2]                   = "Fire";
	stateTransitionOnTimeout[2]    = "Reload";
	stateTimeoutValue[2]           = 0.75;
	stateFire[2]                   = true;
	stateAllowImageChange[2]       = false;
	stateSequence[2]               = "";
	stateScript[2]                 = "onFire";
	stateWaitForTimeout[2]         = true;

	stateName[3]                   = "Reload";
	stateTransitionOnTriggerUp[3]  = "Ready";
};
datablock ItemData(HpWandItem)
{
	canDrop         = 1;
	category        = "Weapon";
	className       = "Weapon";
	colorShiftColor = "0.5 0.2 0.0 1.0";
	density         = 0.1;
	doColorShift    = 1;
	elasticity      = 0.4;
	emap            = 1;
	friction        = 0.4;
	iconName        = "base/client/ui/itemIcons/wand";
	image           = "HpWandImage";
	shapeFile       = "./wand1.dts";
	uiName          = "HP Wand 1";
};

datablock shapeBaseImageData(HpWand2Image : HpWandImage)
{
	colorShiftColor                 = "0.5 0.2 0.0 1.0";
	correctMuzzleVector             = "0";
	doColorShift                    = "1";
	item                            = "HpWand2Item";
	shapeFile                       = "./wand2.dts";
	mountpoint 			=  "0";
	offset				= "0 0 .1";//"0 3.1 -1.85"; //0 .45 .1
};
datablock ItemData(HpWand2Item : HpWandItem)
{
	colorShiftColor = "0.5 0.2 0.0 1.0";
	iconName        = "base/client/ui/itemIcons/wand";
	image           = "HpWand2Image";
	shapeFile       = "./wand2.dts";
	uiName          = "HP Wand 2";
};

datablock shapeBaseImageData(HpWand3Image : HpWandImage)
{
	colorShiftColor                 = "0.5 0.2 0.0 1.0";
	correctMuzzleVector             = "0";
	doColorShift                    = "1";
	item                            = "HpWand3Item";
	shapeFile                       = "./wand3.dts";
	mountpoint 			=  "0";
	offset				= "0 .45 .1"; //0 .45 .1
};
datablock ItemData(HpWand3Item : HpWandItem)
{
	colorShiftColor = "0.5 0.2 0.0 1.0";
	iconName        = "./icon_wand3";
	image           = "HpWand3Image";
	shapeFile       = "./wand3.dts";
	uiName          = "HP Wand 3";
};

datablock shapeBaseImageData(HpWand4Image : HpWandImage)
{
	colorShiftColor                 = "0.5 0.2 0.0 1.0";
	correctMuzzleVector             = "0";
	doColorShift                    = "1";
	item                            = "HpWand4Item";
	shapeFile                       = "./wand4.dts";
	mountpoint 			=  "0";
	offset				= "0 0 .1"; //Ostinyo *accidentally* fixed the mountpoint on this one
};
datablock ItemData(HpWand4Item : HpWandItem)
{
	colorShiftColor = "0.5 0.2 0.0 1.0";
	iconName        = "./icon_wand4";
	image           = "HpWand4Image";
	shapeFile       = "./wand4.dts";
	uiName          = "HP Wand 4";
};
function HpWandImage::OnFire(%this, %obj, %slot)
{
 	return parent::OnFire(%this, %obj, %slot);
}

function HpWand2Image::OnFire(%this, %obj, %slot)
{
 	return parent::OnFire(%this, %obj, %slot);
}

function HpWand3Image::OnFire(%this, %obj, %slot)
{
 	return parent::OnFire(%this, %obj, %slot);
}

function HpWand4Image::OnFire(%this, %obj, %slot)
{
 	return parent::OnFire(%this, %obj, %slot);
}

//function ServerCmdPointMe(%client, %dir)
//{
//finish later, figure out cardinal dirs using getTransform()'s later args	

package SpellPackage
{
	function Armor::onTrigger(%this, %player, %slot, %val)
	{
		if(%player.getMountedImage(0) && strStr(strLwr(%player.getMountedImage(0).getName()),"hpwand") !$= "-1")
		{
			if(%slot == 0 && %val && !%player.spellActive && (getSimTime() - %player.client.lastWandAttackTime > $Spells::SpellCooldown))
			{
				if(isObject(%player.gravObj))
				{
					HPCancelGrab(%player);
					%player.playthread(2, "rotCCW");
					%player.client.lastWandAttackTime = getSimTime(); //To prevent spam
					return Parent::onTrigger(%this, %player, %slot, %val);
				}
				if(%player.client.spell1 !$= "")
				{
					%player.castSpell(%player.client.spell1proj);
					%player.playthread(2, "rotCW");
					%player.client.lastWandAttackTime = getSimTime(); //To prevent spam
					if(%player.client.spell1altCMD !$= "0")
					{
						%player.spellAltCMD(%player.client.spell1AltCmd, %val);
					}
					if(%player.client.manualCast)
					{
						%player.client.manualCast = 0;
						//revert back to their quick equips
						%client = %player.client;
						%client.spell1 = %client.spell1stored;
						%client.spell1proj = %client.spell1projstored;
						%client.spell1altcmd = %client.spell1altcmdstored;
						%client.spell2 = %client.spell2stored;
						%client.spell2proj = %client.spell2projstored;
						%client.spell2altcmd = %client.spell2altcmdstored;
					}
				}
				else
				{
					messageClient(%client, '', "\c2You have no spell assigned to that slot!");
				}
			}
			if(%slot == 0 && !%val)
			{
				if(%player.client.spell1altCMD !$= "0")
				{
					%player.spellAltCMD(%player.client.spell1AltCmd, %val);
				}
			}
			if(%slot == 4 && %val && !%player.spellActive && (getSimTime() - %player.client.lastWandAttackTime > $Spells::SpellCooldown))
			{	
				if(isObject(%player.gravObj))
				{
					HPCancelGrab(%player);
					%player.playthread(2, "rotCCW");
					%player.client.lastWandAttackTime = getSimTime(); //To prevent spam
					return Parent::onTrigger(%this, %player, %slot, %val);
				}
				if(%player.client.manualCast)
				{
					%player.client.manualCast = 0;
					messageClient(%player.client, '', "\c2Cancelled casting \c0" @ %player.client.spell1 @ "\c2.");
					//revert back to their quick equips
					%client = %player.client;
					%client.spell1 = %client.spell1stored;
					%client.spell1proj = %client.spell1projstored;
					%client.spell1altcmd = %client.spell1altcmdstored;
					%client.spell2 = %client.spell2stored;
					%client.spell2proj = %client.spell2projstored;
					%client.spell2altcmd = %client.spell2altcmdstored;

					return Parent::onTrigger(%this, %player, %slot, %val);
				}
				if(%player.client.spell2 !$= "")
				{
					if(%player.client.spell2altCMD !$= "0")
					{
						%player.spellAltCMD(%player.client.spell2AltCmd, %val);
					}
					%player.castSpell(%player.client.spell2proj);
					%player.playthread(2, "rotCW");
					%player.client.lastWandAttackTime = getSimTime(); //To prevent spam
				}
				else
				{
					messageClient(%client, '', "\c2You have no spell assigned to that slot!");
				}
			}
			if(%slot == 4 && !%val)
			{
				if(%player.client.spell2altCMD !$= "0")
				{
					%player.spellAltCMD(%player.client.spell2AltCmd, %val);
				}
			}
		}
		Parent::onTrigger(%this, %player, %slot, %val);
	}

	function WeaponImage::onUnMount(%this,%obj,%slot)
	{
 		if(isObject(%obj.gravObj))
		{
			HPCancelGrab(%obj);
		}
		if(%obj.shielded)
		{
			if(%obj.captureshield)
			{
				%obj.captureshield = 0;
				%obj.heldProjs = 0;
			}
			%obj.killshield();
		}
		if(%obj.wandlit)
		{
			%obj.NoxWand();
		}
		Parent::onUnMount(%this,%obj,%slot);
	}
};
activatepackage(SpellPackage);