function HPShrinkProjectile::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	if(%col.getClassName() $= "Player" || %col.getClassname() $= "AIPlayer" || %col.getClassname() $= "WheeledVehicle" || %col.getClassname() $= "FlyingVehicle")
	{
		if(%col.scale > 1)
		{
			schedScale(%col, 1500, 1.0);
		}
		else
		{
			schedScale(%col, 1500, 0.5);
		}
	}
}
function HPGrowProjectile::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	if(%col.getClassName() $= "Player" || %col.getClassname() $= "AIPlayer" || %col.getClassname() $= "WheeledVehicle" || %col.getClassname() $= "FlyingVehicle")
	{
		if(%col.scale < 1)
		{
			schedScale(%col, 1500, 1.0);
		}
		else
		{
			schedScale(%col, 1500, 1.5);
		}
	}
}
function schedScale(%obj, %time, %size)
{
	if(%obj.changingScale){return;}
	%ticks = 15;
	%currScale = %obj.scale;
	if(%currScale == %size){return;}
	%incTime = %time/%ticks;

	%incSize = (%size - %currScale)/%ticks;

	%obj.changingScale = 1;
	schedule(%time, 0, "eval", "endSchedScale("@%obj@");"); //for some reason a direct schedule wasn't working
	for(%i = 1; %i <= %ticks; %i++)
	{
		%scale = (%incSize * %i) + %currScale;
		%scale = %scale SPC %scale SPC %scale;
		%obj.schedule(%incTime * %i, "setScale", %scale);
	}
}
function endSchedScale(%obj)
{
	%obj.changingScale = 0;
}