datablock ProjectileData(HPBlueTracerProjectile)
{
   directDamage        = 0;
   directDamageType    = $DamageType::PortalCrush;
   radiusDamageType    = $DamageType::PortalCrush;

   brickExplosionRadius = 0;
   brickExplosionImpact = false;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 0;
   brickExplosionMaxVolume = 1;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 2;  //max volume of bricks that we can destroy if they aren't connected to the ground

   impactImpulse	     = 100;
   verticalImpulse	  = 50;
 //explosion           = gunExplosion;
   particleEmitter     = "HPBlueTrailEmitter";

   muzzleVelocity      = 150;
   velInheritFactor    = 0;

   armingDelay         = 0;
   lifetime            = 30000;
   fadeDelay           = 700;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.10;
   isBallistic         = true;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";

   //for the spells system
   spellFireSound = "printFireSound";
};

datablock ProjectileData(HPRedTracerProjectile : HPBlueTracerProjectile)
{
   particleEmitter     = "HPRedTrailEmitter";
};

datablock ProjectileData(HPYellowTracerProjectile : HPBlueTracerProjectile)
{
   particleEmitter     = "HPYellowTrailEmitter";
};

datablock ProjectileData(HPGreenTracerProjectile : HPBlueTracerProjectile)
{
   particleEmitter     = "HPGreenTrailEmitter";
};

datablock ProjectileData(HPPurpleTracerProjectile : HPBlueTracerProjectile)
{
   particleEmitter     = "HPPurpleTrailEmitter";
};

datablock ProjectileData(HPOrangeTracerProjectile : HPBlueTracerProjectile)
{
   particleEmitter     = "HPOrangeTrailEmitter";
};

datablock ProjectileData(HPLimeTracerProjectile : HPBlueTracerProjectile)
{
   particleEmitter     = "HPLimeTrailEmitter";
};

datablock ProjectileData(HPPinkTracerProjectile : HPBlueTracerProjectile)
{
   particleEmitter     = "HPPinkTrailEmitter";
};

datablock ProjectileData(HPCyanTracerProjectile : HPBlueTracerProjectile)
{
   particleEmitter     = "HPCyanTrailEmitter";
};

datablock ProjectileData(HPBlackTracerProjectile : HPBlueTracerProjectile)
{
   particleEmitter     = "HPBlackTrailEmitter";
};

datablock ProjectileData(HPWhiteTracerProjectile : HPBlueTracerProjectile)
{
   particleEmitter     = "HPWhiteTrailEmitter";
};

datablock ProjectileData(HPBrownTracerProjectile : HPBlueTracerProjectile)
{
   particleEmitter	= "HPBrownTrailEmitter";
};