datablock ParticleData(HPBlueTrailParticle)
{
	dragCoefficient		= 3.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 200;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= false;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/dot";
	//animTexName		= "~/data/particles/dot";

	// Interpolation variables
	colors[0]     = "0.0 0.0 1.0 0.8";
	colors[1]     = "0.0 0.0 1.0 0.6";
	colors[2]     = "0.0 0.0 1.0 0.4";
	sizes[0]      = 0.8;
	sizes[1]      = 0.5;
	sizes[2]      = 0.1;
	times[0]      = 0;
	times[1]      = 0.5;
	times[2]      = 1;
};
datablock ParticleEmitterData(HPBlueTrailEmitter)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 0;

   ejectionVelocity = 0; //0.25;
   velocityVariance = 0; //0.10;

   ejectionOffset = 0;

   thetaMin         = 0.0;
   thetaMax         = 90.0;  

   particles = HPBlueTrailParticle;

   useEmitterColors = true;
};

datablock ParticleData(HPRedTrailParticle : HPBlueTrailParticle)
{
	// Interpolation variables
	colors[0]     = "1.0 0.0 0.0 1.0";
	colors[1]     = "1.0 0.0 0.0 1.0";
	colors[2]     = "1.0 0.0 0.0 1.0";
};
datablock ParticleEmitterData(HPRedTrailEmitter : HPBlueTrailEmitter)
{
   particles = HPRedTrailParticle;
};

datablock ParticleData(HPYellowTrailParticle : HPBlueTrailParticle)
{
	// Interpolation variables
	colors[0]     = "1.0 1.0 0.0 1.0";
	colors[1]     = "1.0 1.0 0.0 1.0";
	colors[2]     = "1.0 1.0 0.0 1.0";
};
datablock ParticleEmitterData(HPYellowTrailEmitter : HPBlueTrailEmitter)
{
   particles = HPYellowTrailParticle;
};

datablock ParticleData(HPGreenTrailParticle : HPBlueTrailParticle)
{
	// Interpolation variables
	colors[0]     = "0.0 0.7 0.2 1.0";
	colors[1]     = "0.0 0.7 0.2 1.0";
	colors[2]     = "0.0 0.7 0.2 1.0";
	useInvAlpha   = true;
};
datablock ParticleEmitterData(HPGreenTrailEmitter : HPBlueTrailEmitter)
{
   particles = HPGreenTrailParticle;
};

datablock ParticleData(HPPurpleTrailParticle : HPBlueTrailParticle)
{
	// Interpolation variables
	colors[0]     = "0.3 0.0 0.7 0.6";
	colors[1]     = "0.3 0.0 0.7 0.4";
	colors[2]     = "0.3 0.0 0.7 0.2";
	useInvAlpha   = true;
};
datablock ParticleEmitterData(HPPurpleTrailEmitter : HPBlueTrailEmitter)
{
   particles = HPPurpleTrailParticle;
};

datablock ParticleData(HPOrangeTrailParticle : HPBlueTrailParticle)
{
	// Interpolation variables
	colors[0]     = "1.0 0.3 0.0 1.0";
	colors[1]     = "1.0 0.3 0.0 1.0";
	colors[2]     = "1.0 0.3 0.0 1.0";
	useInvAlpha   = true;
};
datablock ParticleEmitterData(HPOrangeTrailEmitter : HPBlueTrailEmitter)
{
   particles = HPOrangeTrailParticle;
};

datablock ParticleData(HPLimeTrailParticle : HPBlueTrailParticle)
{
	// Interpolation variables
	colors[0]     = "0.0 1.0 0.0 1.0";
	colors[1]     = "0.0 1.0 0.0 1.0";
	colors[2]     = "0.0 1.0 0.0 1.0";
};
datablock ParticleEmitterData(HPLimeTrailEmitter : HPBlueTrailEmitter)
{
   particles = HPLimeTrailParticle;
};

datablock ParticleData(HPPinkTrailParticle : HPBlueTrailParticle)
{
	// Interpolation variables
	colors[0]     = "1.0 0.0 0.3 1.0";
	colors[1]     = "1.0 0.0 0.3 1.0";
	colors[2]     = "1.0 0.0 0.3 1.0";
	useInvAlpha   = true;
};
datablock ParticleEmitterData(HPPinkTrailEmitter : HPBlueTrailEmitter)
{
   particles = HPPinkTrailParticle;
};

datablock ParticleData(HPCyanTrailParticle : HPBlueTrailParticle)
{
	// Interpolation variables
	colors[0]     = "0.0 1.0 1.0 1.0";
	colors[1]     = "0.0 1.0 1.0 1.0";
	colors[2]     = "0.0 1.0 1.0 1.0";
};
datablock ParticleEmitterData(HPCyanTrailEmitter : HPBlueTrailEmitter)
{
   particles = HPCyanTrailParticle;
};

datablock ParticleData(HPBlackTrailParticle : HPBlueTrailParticle)
{
	// Interpolation variables
	colors[0]     = "0.1 0.1 0.1 1";
	colors[1]     = "0.1 0.1 0.1 1";
	colors[2]     = "0.1 0.1 0.1 1";
	useInvAlpha   = true;
};
datablock ParticleEmitterData(HPBlackTrailEmitter : HPBlueTrailEmitter)
{
   particles = HPBlackTrailParticle;
};

datablock ParticleData(HPWhiteTrailParticle : HPBlueTrailParticle)
{
	// Interpolation variables
	colors[0]     = "1.0 1.0 1.0 1.0";
	colors[1]     = "1.0 1.0 1.0 1.0";
	colors[2]     = "1.0 1.0 1.0 1.0";
};
datablock ParticleEmitterData(HPWhiteTrailEmitter : HPBlueTrailEmitter)
{
   particles = HPWhiteTrailParticle;
};

datablock ParticleData(HPBrownTrailParticle : HPBlueTrailParticle)
{
	// Interpolation variables
	colors[0]     = "0.62 0.27 0.07 0.8";
	colors[1]     = "0.62 0.27 0.07 0.5";
	colors[2]     = "0.62 0.27 0.07 0.2";
	useInvAlpha   = true;
};
datablock ParticleEmitterData(HPBrownTrailEmitter : HPBlueTrailEmitter)
{
   particles = HPBrownTrailParticle;
};


datablock ParticleData(HPBlueShieldRingParticle)
{
	dragCoefficient		= 0.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 40;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= 0.0;
	spinRandomMax		= 0.0;
	useInvAlpha		= false;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "./shield"; //"base/data/particles/dot";
	//animTexName		= "~/data/particles/dot";

	// Interpolation variables
	colors[0]     = "0.0 0.0 1.0 1";
	colors[1]     = "0.0 0.0 1.0 1";
	sizes[0]      = 2.6;
	sizes[1]      = 2.6;
	times[0]      = 0;
	times[1]      = 1;
};
datablock ParticleData(HPBlueShieldRing2Particle : HPBlueShieldRingParticle)
{
	useInvAlpha		= true;
	textureName		= "base/data/particles/thinring";

	colors[0]     = "0.0 0.0 1,0 1";
	colors[1]     = "0.0 0.0 1.0 1";
	sizes[0]      = 3.2;
	sizes[1]      = 3.2;
	times[0]      = 0;
	times[1]      = 1;
};
datablock ParticleEmitterData(HPBlueShieldEmitter)
{
   ejectionPeriodMS = 40;
   periodVarianceMS = 0;

   ejectionVelocity = 0; //0.25;
   velocityVariance = 0; //0.10;

   ejectionOffset = 0;

   thetaMin         = 0.0;
   thetaMax         = 90.0;  

   particles = "HPBlueShieldRingParticle";//"HPBlueShieldRingParticle\tHPBlueShieldRing2Particle";

   useEmitterColors = true;
};
datablock ParticleData(HPCaptureShieldRingParticle)
{
	dragCoefficient		= 0.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 40;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= 0.0;
	spinRandomMax		= 0.0;
	useInvAlpha		= false;
	animateTexture		= false;

	textureName		= "./shield"; //"base/data/particles/dot";

	// Interpolation variables
	colors[0]     = "0.3 0.0 0.7 1";
	colors[1]     = "0.3 0.0 0.7 1";
	sizes[0]      = 2.6;
	sizes[1]      = 2.6;
	times[0]      = 0;
	times[1]      = 1;
};
datablock ParticleData(HPCaptureShieldRing2Particle : HPCaptureShieldRingParticle)
{
	textureName		= "base/data/particles/thinring";
	useInvAlpha		= false;

	colors[0]     = "0.3 0.0 0.7 1";
	colors[1]     = "0.3 0.0 0.7 1";
	sizes[0]      = 4;
	sizes[1]      = 4;
	times[0]      = 0;
	times[1]      = 1;
};
datablock ParticleData(HPArmedShieldRingParticle)
{
	dragCoefficient		= 0.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 40;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= 0.0;
	spinRandomMax		= 0.0;
	useInvAlpha		= false;
	animateTexture		= false;

	textureName		= "./shield";//"base/data/particles/dot";

	// Interpolation variables
	colors[0]     = "1.0 0.0 0.0 1";
	colors[1]     = "1.0 0.0 0.0 1";
	sizes[0]      = 2.6;
	sizes[1]      = 2.6;
	times[0]      = 0;
	times[1]      = 1;
};
datablock ParticleData(HPArmedShieldRing2Particle : HPArmedShieldRingParticle)
{
	textureName		= "base/data/particles/thinring";
	useInvAlpha		= false;

	colors[0]     = "1.0 0.0 0.0 1";
	colors[1]     = "1.0 0.0 0.0 1";
	sizes[0]      = 4;
	sizes[1]      = 4;
	times[0]      = 0;
	times[1]      = 1;
};

datablock ParticleEmitterData(HPCaptureShieldEmitter : HPBlueShieldEmitter)
{
   particles = "HPCaptureShieldRingParticle"; //"HPCaptureShieldRingParticle\tHPCaptureShieldRing2Particle";
};

datablock ParticleEmitterData(HPArmedShieldEmitter : HPBlueShieldEmitter)
{
   particles = "HPArmedShieldRingParticle"; //"HPArmedShieldRingParticle\tHPArmedShieldRing2Particle";
};

datablock ParticleData(HPLumosFlareParticle)
{
	dragCoefficient		= 0.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 33;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 0.0;
	spinRandomMin		= 0.0;
	spinRandomMax		= 0.0;
	useInvAlpha		= false;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/lighting/flare";
	//animTexName		= "~/data/particles/dot";

	// Interpolation variables
	colors[0]     = "1 1 1 1";
	colors[1]     = "1 1 1 1";
	sizes[0]      = 1;
	sizes[1]      = 1;
	times[0]      = 0;
	times[1]      = 1;
};
datablock ParticleEmitterData(HPLumosFlareEmitter)
{
   ejectionPeriodMS = 33;
   periodVarianceMS = 0;

   ejectionVelocity = 0; 
   velocityVariance = 0; 

   ejectionOffset = 0;

   thetaMin         = 0.0;
   thetaMax         = 90.0;  

   particles = "HPLumosFlareParticle";

   useEmitterColors = true;
};

datablock ParticleData(HPBrownCloudParticle)
{
	dragCoefficient		= 3.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 200;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= true;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/cloud";
	//animTexName		= "~/data/particles/cloud";

	// Interpolation variables
	colors[0]     = "0.62 0.27 0.07 0.8";
	colors[1]     = "0.62 0.27 0.07 0.5";
	colors[2]     = "0.62 0.27 0.07 0.2";
	sizes[0]      = 0.8;
	sizes[1]      = 0.5;
	sizes[2]      = 0.1;
	times[0]      = 0;
	times[1]      = 0.5;
	times[2]      = 1;
};
datablock ParticleEmitterData(HPBrownCloudEmitter)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 0;

   ejectionVelocity = 0; //0.25;
   velocityVariance = 0; //0.10;

   ejectionOffset = 0;

   thetaMin         = 0.0;
   thetaMax         = 90.0;  

   particles = HPBrownCloudParticle;

   useEmitterColors = true;
};