datablock ShapeBaseImageData(HPWandLightImage)
{
	className = 	"WeaponImage";
	shapeFile = 	"base/data/shapes/empty.dts";
	mountpoint =	"0";

	lightType = "ConstantLight";
	lightColor = "0.8 0.9 1 1";
	lightRadius = 20;

	offset = "0 2 .1";

	stateName[0]                   = "Activate";
	stateTimeoutValue[0]           = 0.15;
	stateTransitionOnTimeout[0]    = "Ready";

	stateName[1]			= "Ready";
	stateEmitter[1]			= "HPLumosFlareEmitter";
	stateEmitterTime[1]		= 300;
	stateAllowImageChange[1]	= "true";
	stateTransitiononTimeout[1]	= "Activate";
};

function Player::LightWand(%player)
{
	%player.mountImage(HPWandLightImage, 3);
	%player.wandlit = 1;
	%player.spellActive = 1;
}
function Player::NoxWand(%player)
{
	if(%player.wandlit)
	{
		%player.wandlit = 0;
		%player.unMountImage(3);
		%player.spellActive = 0;
	}
}